<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the
 * content-container and main-container div elements.
 *
 * @package Orbit
 * @since	Available since Release 1.0
 */
?>

	</div>	<!-- end content-container -->

	<?php bit_content_container_end(); // after closing 'content-container' hook ?>

	<footer id="main-footer">

		<div class="footer-boxes">

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-1' ) ) : ?>
					<?php orbit_custom_menu( 'footer-menu', array( 'footer-menu' ), 'footer-nav', 1 ); ?>
				<?php endif ?>
			</div> <!-- end footer-box 1 -->

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-2' ) ) : ?>
					<h2><?php _e( 'Last Posts', 'orbit' ); ?></h2>
					<ul>
						<li><a href="#"><?php _e( 'New prices. Web updated!', 'orbit' ); ?></a></li>
						<li><a href="#"><?php _e( 'New service', 'orbit' ); ?></a></li>
						<li><a href="#"><?php _e( 'My fist post', 'orbit' ); ?></a></li>
						<li><a href="#"><?php _e( 'Web Launch, Hello!', 'orbit' ); ?></a></li>
					</ul>
				<?php endif ?>
			</div> <!-- end footer-box 2 -->

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-3' ) ) : ?>
					<h2><?php _e( 'Contact', 'orbit' ); ?></h2>
					<p><?php _e( 'Constitution Hill, London', 'orbit' ); ?></p>
					<p><?php _e( 'Phone', 'orbit' ); ?> <strong>+62 12345689</strong>, Fax <strong>+62 12345689</strong></p>
					<p>Email <strong>support@localhost.com</strong></p>
				<?php endif ?>
			</div> <!-- end footer-box 3 -->

		</div>

		<div class="footer-extra">
			<div class="footer-copy">
				<?php $options = orbit_get_theme_options();
					if ( !$options['footer_info'] ) {
						echo '&copy; ' . __(date('Y')) . ' ';
						echo bloginfo( 'name' );
					} else {
						echo $options['footer_info'];
					}
				?>
			</div>
			<div class="footer-credit">
				<?php bit_footer_credit(); ?>
			</div>
		</div>

	</footer>
</div> <!-- end main-container -->
<?php bit_main_container_end(); // after main-container hook ?>

<?php wp_footer(); ?>
</body>
</html>