<?php
/**
 * Front Page template
 *
 * @package Orbit
 * @since	Available since Release 1.0
 */
?>
<?php if ( 'posts' == get_option( 'show_on_front' ) ) {
     get_template_part( 'index' );
} else { ?>

<?php get_header(); ?>

	<div class="front-features">
		<div id="front-text-feature">
			<h1>
				<?php $options = orbit_get_theme_options();
					if ( $options['front_page_header'] ) {
						echo $options['front_page_header'];
					} else {
						_e( 'Orbit Free Theme', 'orbit' );
					}
				?>
			</h1>
			<h2>
				<?php
					if ( $options['front_page_subheader'] ) {
						echo $options['front_page_subheader'];
					} else {
						_e( 'Responsive Theme for WordPress', 'orbit' );
					}
				?>
			</h2>
			<div class="front-phrase">
				<?php
					if ( $options['front_page_textarea'] ) {
						echo $options['front_page_textarea'];
					} else {
						_e( '<p>Phrase or you like it, change it in admin panel (Orbit Options)</p>', 'orbit' );
						_e( '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>', 'orbit' );

					}
				?>
			</div>
			<div class="front-call-to-action">
				<a class="front-button" href="<?php echo $options['url_call_to_action']; ?>" >
					<?php if ( $options['front_page_call_to_action'] ) {
						echo $options['front_page_call_to_action'];
					} else {
						_e( 'Call to action', 'orbit' );
					}
					?>
				</a>
			</div>

		</div> <!-- end front-text-feature -->

		<div id="front-slide">
			<?php orbit_render_slider(); ?>
		</div> <!-- end front-slide -->
	</div>

	<div id="front-boxes">

		<div class="front-box">
		<?php if ( !dynamic_sidebar( 'front-box-1' ) ) : ?>
			<h2>
				<?php _e( 'Responsive Design', 'orbit' ); ?>
			</h2>
			<p>
				<?php _e( 'Design site adjusts to any mobile device including the iOS Android devices. (Change it in Widgets)', 'orbit' ); ?>
			</p>
		<?php endif ?>
		</div> <!-- end front-box 1 -->

		<div class="front-box">
		<?php if ( !dynamic_sidebar( 'front-box-2' ) ) : ?>
			<h2>
				<?php _e( 'Feature Slider', 'orbit' ); ?>
			</h2>
			<p>
				<?php _e( 'Orbit get a Responsive Feature Slider that displays images on any device. (Change it in Widgets)', 'orbit' ); ?>
			</p>
		<?php endif ?>
		</div> <!-- end front-box 2 -->

		<div class="front-box">
		<?php if ( !dynamic_sidebar( 'front-box-3' ) ) : ?>
			<h2>
				<?php _e( 'Free Support', 'orbit' ); ?>
			</h2>
			<p>
				<?php printf(__( 'Orbit offers intuitive theme options. If you need help, we have free support &#8250; %s. (Change it in Widgets)', 'orbit' ), '<a href="' . __( 'http://bitado.com/', 'orbit' ). '">' . __( 'Orbit', 'orbit' ) . '</a>'); ?>
			</p>
		<?php endif ?>
		</div> <!-- end front-box 3 -->

	</div> <!-- end front-boxes -->

	<?php get_footer(); ?>
	
<?php } ?>