<?php
/**
 * Orbit Theme Hooks
 *
 * @package Orbit
 */


/**
 * Just after opening <body> tag
 *
 * Hook in header.php
 */
function bit_main_container() {
	do_action( 'bit_main_container' );
}

/**
 * Just after closing </div> <!-- end main-container -->
 *
 * Hook in footer.php
 */
function bit_main_container_end() {
	do_action( 'bit_main_container_end' );
}

/**
 * Just after opening <div id="main-container">
 *
 * Hook in header.php
 */
function bit_header() {
	do_action( 'bit_header' );
}

/**
 * Just after opening <header id="top-header">
 *
 * Hook in header.php
 */
function bit_in_header() {
	do_action( 'bit_in_header' );
}

/**
 * Just after closing </header><!-- end of top-header -->
 *
 * Hook in header.php
 */
function bit_header_end() {
	do_action( 'bit_header_end' );
}

/**
 * Just before opening <div id="content_container">
 *
 * Hook in header.php
 */
function bit_content_container() {
	do_action( 'bit_content_container' );
}

/**
 * Just after opening <div id="content_container">
 *
 * Hook in header.php
 */
function bit_in_content_container() {
	do_action( 'bit_in_content_container' );
}

/**
 * Just after closing </div><!-- end content-container -->
 *
 * Hook in footer.php
 */
function bit_content_container_end() {
	do_action( 'bit_content_container_end' );
}

/**
 * Just after opening <div class="footer-credit>
 *
 * Hook in footer.php
 */
function bit_footer_credit() {
	do_action( 'bit_footer_credit' );
}

/**
 * Adds the Orbit and Bitado credit.
 *
 */
function orbit_credit() {
?>
<?php _e( 'Powered by ', 'orbit' ); ?><a href="<?php echo esc_url(__( 'http://bitado.com/','orbit')); ?>" title="Orbit Theme by bitados.com">Orbit</a> &amp; <a href="<?php echo esc_url(__( 'http://wordpress.org/','orbit')); ?>" title="Semantic Personal Publishing Platform">WordPress.</a>
<?php
}
add_action( 'bit_footer_credit', 'orbit_credit' );
?>