<?php
/**
 * Orbit Options
 *
 * @package Orbit
 */


/**
 * Init plugin options to white list our options
 *
 */
function orbit_options_init(){

	register_setting( 'orbit_options', 'orbit_theme_options', 'orbit_options_validate' );

	// Sections
	add_settings_section( 'general_section', __( 'General', 'orbit' ), '__return_false', 'theme_options' );
	add_settings_section( 'text_section', __( 'Text Options', 'orbit' ), '__return_false', 'theme_options' );
	add_settings_section( 'meta_section', __( 'Post Options', 'orbit' ), '__return_false', 'theme_options' );
	add_settings_section( 'front_page_section', __( 'Front Page Options', 'orbit' ), '__return_false', 'theme_options' );
	add_settings_section( 'social_section', __( 'Social Options', 'orbit' ), '__return_false', 'theme_options' );

	// Fields for general section general_section
	add_settings_field( 'layout', __( 'Position Sidebar', 'orbit' ), 'orbit_settings_field_layout', 'theme_options', 'general_section' );
	add_settings_field( 'pagination', __( 'Default Pagination Posts', 'orbit' ), 'orbit_settings_field_pagination', 'theme_options', 'general_section' );
	add_settings_field( 'breadcrumb', __( 'Show Breadcrumb', 'orbit' ), 'orbit_settings_field_breadcrumb', 'theme_options', 'general_section' );
	add_settings_field( 'footer_info', __( 'Footer info', 'orbit' ), 'orbit_settings_field_footer_info', 'theme_options', 'general_section' );
	add_settings_field( 'color_scheme', __( 'Color Scheme', 'orbit' ), 'orbit_settings_field_color_scheme', 'theme_options', 'general_section' );
	add_settings_field( 'favicon', __( 'Favicon', 'orbit' ), 'orbit_settings_field_favicon', 'theme_options', 'general_section' );
	add_settings_field( 'show_title_page', __( 'No show main title (h1) in pages', 'orbit' ), 'orbit_settings_field_show_title_page',	 'theme_options', 'general_section' );
	add_settings_field( 'css_user', __( 'CSS user', 'orbit' ), 'orbit_settings_field_css_user',	 'theme_options', 'general_section' );


	// Fields for general section text_section
	add_settings_field( 'orbit_font_title', __( 'Font used in titles', 'orbit' ), 'orbit_settings_field_orbit_font_title', 'theme_options', 'text_section' );
	add_settings_field( 'google_font_title', __( 'Google Fonts titles', 'orbit' ), 'orbit_settings_field_google_font_title', 'theme_options', 'text_section' );
	add_settings_field( 'orbit_font_base', __( 'Font used in rest of web', 'orbit' ), 'orbit_settings_field_orbit_font_base', 'theme_options', 'text_section' );
	add_settings_field( 'google_font_base', __( 'Google Fonts blog', 'orbit' ), 'orbit_settings_field_google_font_base', 'theme_options', 'text_section' );

	// Fields for general section meta_section
	add_settings_field( 'show_author', __( 'Show author', 'orbit' ), 'orbit_settings_field_show_author', 'theme_options', 'meta_section' );
	add_settings_field( 'show_categories', __( 'Show categories', 'orbit' ), 'orbit_settings_field_show_categories', 'theme_options', 'meta_section' );
	add_settings_field( 'show_tags', __( 'Show tags', 'orbit' ), 'orbit_settings_field_show_tags', 'theme_options', 'meta_section' );

	// Fields for general section front_page_section
	add_settings_field( 'front_page_header', __( 'Header in front page', 'orbit' ), 'orbit_settings_field_front_page_header', 'theme_options', 'front_page_section' );
	add_settings_field( 'front_page_subheader', __( 'Subheader in front page', 'orbit' ), 'orbit_settings_field_front_page_subheader', 'theme_options', 'front_page_section' );
	add_settings_field( 'front_page_textarea', __( 'Long text in front page', 'orbit' ), 'orbit_settings_field_front_page_textarea', 'theme_options', 'front_page_section' );
	add_settings_field( 'front_page_call_to_action', __( 'Text buttom "call to action"', 'orbit' ), 'orbit_settings_field_front_page_call_to_action', 'theme_options', 'front_page_section' );
	add_settings_field( 'front_page_url_call_to_action', __( 'URL buttom "call to action"', 'orbit' ), 'orbit_settings_field_front_page_url_call_to_action', 'theme_options', 'front_page_section' );
	add_settings_field( 'slide_image_1', __( 'Slider Image 1', 'orbit' ), 'orbit_settings_field_slide_image_1', 'theme_options', 'front_page_section' );
	add_settings_field( 'slide_image_2', __( 'Slider Image 2', 'orbit' ), 'orbit_settings_field_slide_image_2', 'theme_options', 'front_page_section' );
	add_settings_field( 'slide_image_3', __( 'Slider Image 3', 'orbit' ), 'orbit_settings_field_slide_image_3', 'theme_options', 'front_page_section' );

	// Fields for section social_section
	add_settings_field( 'rss', __( 'RSS url', 'orbit' ), 'orbit_settings_field_social_rss', 'theme_options', 'social_section' );
	add_settings_field( 'twitter', __( 'Twitter url', 'orbit' ), 'orbit_settings_field_social_twitter', 'theme_options', 'social_section' );
	add_settings_field( 'facebook', __( 'Facebook url', 'orbit' ), 'orbit_settings_field_social_facebook', 'theme_options', 'social_section' );
	add_settings_field( 'googleplus', __( 'Google+ url', 'orbit' ), 'orbit_settings_field_social_googleplus', 'theme_options', 'social_section' );
	add_settings_field( 'linkedin', __( 'LinkedIn url', 'orbit' ), 'orbit_settings_field_social_linkedin', 'theme_options', 'social_section' );
	add_settings_field( 'youtube', __( 'YouTube url', 'orbit' ), 'orbit_settings_field_social_youtube', 'theme_options', 'social_section' );
	add_settings_field( 'vimeo', __( 'Vimeo url', 'orbit' ), 'orbit_settings_field_social_vimeo', 'theme_options', 'social_section' );

}
add_action( 'admin_init', 'orbit_options_init' );

/**
 * Load up the menu page
 *
 */
function orbit_options_add_page() {
	add_theme_page( __( 'Orbit Options', 'orbit' ), __( 'Orbit Options', 'orbit' ), 'edit_theme_options', 'orbit_options', 'orbit_options_do_page' );
}
add_action( 'admin_menu', 'orbit_options_add_page' );

/**
 * A safe way of adding JavaScripts to a WordPress generated page.
 *
 */
function orbit_admin_enqueue_scripts( $hook_suffix ) {
	wp_enqueue_style( 'orbit-theme-options', get_template_directory_uri() . '/inc/theme-options.css', false, '1.0' );
	wp_enqueue_script( 'media-upload' );
	wp_enqueue_script( 'thickbox' );
	wp_enqueue_style( 'thickbox' );
	wp_enqueue_script( 'jquery-plugin-cookie', get_template_directory_uri() . '/inc/jquery.cookie.js', array( 'jquery' ), '1.0' );
	wp_enqueue_script( 'orbit-theme-options', get_template_directory_uri() . '/inc/theme-options.js', array( 'jquery', 'media-upload', 'thickbox' ), '1.0' );

}
add_action( 'admin_print_styles-appearance_page_orbit_options', 'orbit_admin_enqueue_scripts' );

/**
 * Returns the default options for Orbit.
 *
 */
function orbit_get_default_theme_options() {
	$default_theme_options = array(
		'theme_layout' => 'content-sidebar',
		'pagination' => 'pages',
		'breadcrumb' => '0',
		'color_scheme' => 'blue',
		'footer_info' => '',
		'favicon' => '',
		'show_title_page' => '',
		'css_user' => '',
		'show_author' => '1',
		'show_categories' => '1',
		'show_tags' => '1',
		'google_font_title' => '',
		'google_font_base' => '',
		'orbit_font_title' => 'Georgia, Times, serif',
		'orbit_font_base' => 'sans-serif, Verdana, Geneva',
		'front_page_header' => '',
		'front_page_subheader' => '',
		'front_page_textarea' => '',
		'front_page_call_to_action' => '',
		'url_call_to_action' => '#',
		'slide_image_1' => '',
		'slide_image_2' => '',
		'slide_image_3' => '',
		'twitter' => '',
		'facebook' => '',
		'linkedin' => '',
		'youtube'  => '',
		'rss' => '',
		'googleplus' => '',
		'vimeo' => ''
	);

	return $default_theme_options;
}

/**
 * Returns the options array for Orbit.
 *
 */
function orbit_get_theme_options() {
	return get_option( 'orbit_theme_options', orbit_get_default_theme_options() );
}

/**
 * Returns an array of layout options registered for orbit.
 *
 */
function orbit_layouts() {
	$layout_options = array(
		'content-sidebar' => array(
			'value' => 'content-sidebar',
			'label' => __( 'Content on left', 'orbit' ),
			'thumbnail' => get_template_directory_uri() . '/inc/images/content-sidebar.png',
		),
		'sidebar-content' => array(
			'value' => 'sidebar-content',
			'label' => __( 'Content on right', 'orbit' ),
			'thumbnail' => get_template_directory_uri() . '/inc/images/sidebar-content.png',
		),
	);

	return $layout_options;
}

/**
 * Returns an array of pagination options registered for orbit.
 *
 */
function orbit_pagination() {
	$pagination_options = array(
		'older-newer' => array(
			'value' => 'older-newer',
			'label' => __( 'Older-newer posts link', 'orbit' ),
		),
		'pages' => array(
			'value' => 'pages',
			'label' => __( 'Pages posts link', 'orbit' ),
		),
	);

	return $pagination_options;
}

/**
 * Returns an array of color scheme options registered for orbit.
 *
 */
function orbit_color_scheme() {
	$color_scheme = array(
		'default' => array(
			'value' => 'blue',
			'label' => __( 'Blue', 'orbit' ),
			'thumbnail' => get_template_directory_uri() . '/inc/images/scheme-blue.png',
		),
		'orange' => array(
			'value' => 'orange',
			'label' => __( 'Orange', 'orbit' ),
			'thumbnail' => get_template_directory_uri() . '/inc/images/scheme-orange.png',
		),
		'green' => array(
			'value' => 'green',
			'label' => __( 'Green', 'orbit' ),
			'thumbnail' => get_template_directory_uri() . '/inc/images/scheme-green.png',
		),
	);

	return $color_scheme;
}

/**
 * Returns an array of font sans options registered for orbit.
 *
 */
function orbit_font_sans() {
	$fontSans = array ( "sans-serif, Verdana, Geneva" ,
						"Geneva, sans-serif ",
						"Helvetica, sans-serif" ,
						"Futura, Century Gothic, AppleGothic, sans-serif",
						"Tahoma, Geneva, sans-serif" ,
						"Arial, Helvetica, sans-serif" ,
						"Arial Black, Gadget, sans-serif" );
	return $fontSans;
}


/**
 * Returns an array of font sans options registered for orbit.
 *
 */
function orbit_font_serif() {
	$fontSerif = array( "Georgia, Times, serif" ,
						"Times New Roman, Times, serif",
						"Cambria, Georgia, Times, serif",
						"Baskerville, Times, serif",
						"Bodoni MT, serif",
						"Garamond, Times, serif");
	return $fontSerif;
}

/**
 * Returns an array of all fonts
 *
 */
function orbit_font_all() {
	return array_merge( orbit_font_sans(), orbit_font_serif() );
}

/*
 * Return array true if font selected by the user is different from default font or
 * google font is used for the user. (title and general fonts)
 *
 */
function orbit_is_changed_custom_style(){
	$orbit_options = orbit_get_theme_options();
	$default_theme_options = orbit_get_default_theme_options();
	$custom_style =	 array( 'changed_style' => false,
							'changed_title' => false,
							'changed_base' => false,
							'font_title' => '',
							'font_base' => '',
							'css_user' => '',
							'color_scheme' => '');

	if ( $orbit_options['orbit_font_title'] != $default_theme_options['orbit_font_title'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['changed_title'] = true;
		$custom_style['font_title'] = $orbit_options['orbit_font_title'];
	}

	if ( $orbit_options['google_font_title'] != $default_theme_options['google_font_title'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['changed_title'] = true;
		$custom_style['font_title'] = $orbit_options['google_font_title'];
	}

	if ( $orbit_options['orbit_font_base']	!= $default_theme_options['orbit_font_base'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['changed_base'] = true;
		$custom_style['font_base'] = $orbit_options['orbit_font_base'];
	}

	if ( $orbit_options['google_font_base']	 != $default_theme_options['google_font_base'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['changed_base'] = true;
		$custom_style['font_base'] = $orbit_options['google_font_base'];
	}

	if ( $orbit_options['css_user']	 != $default_theme_options['css_user'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['css_user'] = $orbit_options['css_user'];
	}

	if ( $orbit_options['color_scheme'] != $default_theme_options['color_scheme'] ) {
		$custom_style['changed_style'] = true;
		$custom_style['color_scheme'] = $orbit_options['color_scheme'];
	}

	return $custom_style;
}

/*
 * Return if h1 must be show in current page
 *
 */
function orbit_show_title_page(){
	global $post;
	$orbit_options = orbit_get_theme_options();
	$pages_no_title = explode( ' ', $orbit_options['show_title_page'] );

	// If show_title_page contains All or all the title don't show
	if ( in_array( 'All', $pages_no_title) || in_array( 'all', $pages_no_title ) )
		return false;

	// If current page is in show_title_page, the title don't show
	if ( in_array( $post->post_name,  $pages_no_title ) )
		return false;

	return true;
}

/**
 * Render sections in admin panel
 *
 */
function orbit_do_settings_sections( $page ) {
	global $wp_settings_sections, $wp_settings_fields;

	if ( ! isset( $wp_settings_sections ) || !isset( $wp_settings_sections[$page] ) )
		return;

	foreach ( (array) $wp_settings_sections[$page] as $section ) {
		echo '<div class="section-options">';
		echo '	<h3 id="orbad_' . $section['id'] . '" class="rwd-toggle"><a href="#">' . $section['title'] . '</a></h3>';
		echo '	<div class="rwd-container">';

		if ( $section['callback'] )
			call_user_func( $section['callback'], $section );

		if ( ! isset( $wp_settings_fields ) || !isset( $wp_settings_fields[$page] ) || !isset( $wp_settings_fields[$page][$section['id']] ) )
			continue;
		echo '		<table class="form-table">';
		do_settings_fields( $page, $section['id'] );
		echo '		</table>';
		echo '	</div>';
		echo '</div>';
	}
}

/**
 * Create the options page
 *
 */
function orbit_options_do_page() {
	?>
	<div class="wrap">
		<div style="border-bottom: 1px solid #ccc	;">
			<img style="float: left;" src="<?php echo get_template_directory_uri() . '/images/logo-orbit-mini.png' ?>" />
			<h2><?php printf( __( 'Orbit Options', 'orbit' ), wp_get_theme() ); ?>		<span style="font-size: 13px; margin-left: 24px;">Orbit v1.0 by <a href="<?php echo esc_url(__('http://bitado.com/','orbit')); ?>">bitado.com</a></span></h2>
		</div>
		<?php settings_errors(); ?>
	</div>
	<div class="wrap optionsorbit">
		<div class="lefty">
			<form method="post" action="options.php">
				<?php
					settings_fields( 'orbit_options' );
					orbit_do_settings_sections( 'theme_options' );
				?>
				<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e( 'Save Settings', 'orbit' ); ?>">
				<input name="orbit_theme_options[orbit_defaults]" id="orbit_theme_options[orbit_defaults]" class="button button-primary alignright" type="submit" value="<?php _e( 'Reset to Defaults', 'orbit' ); ?>" />
			</form>
		</div>
		<div class="righty">
			<div class="postbox support">
				<?php orbit_settings_box_support(); ?>
			</div>
		</div>
	</div>
	<?php
}


/**
 * Renders the 'Layout' setting field.
 *
 */
function orbit_settings_field_layout() {
	$options = orbit_get_theme_options();
	foreach ( orbit_layouts() as $layout ) {
		?>
		<label class="field_layout">
			<input type="radio" name="orbit_theme_options[theme_layout]" value="<?php echo esc_attr( $layout['value'] ); ?>" <?php checked( $options['theme_layout'], $layout['value'] ); ?> /> <?php echo $layout['label']; ?>
			<span class="image-radio-option">
				<img src="<?php echo esc_url( $layout['thumbnail'] ); ?>" width="136" height="122" alt="" />
			</span>
		</label>
		<?php
	}
}

/**
 * Renders the 'Navigation' setting field.
 *
 */
function orbit_settings_field_pagination() {
	$options = orbit_get_theme_options();
	foreach ( orbit_pagination() as $pagination ) {
		?>
		<label class="field_pagination">
			<input type="radio" name="orbit_theme_options[pagination]" value="<?php echo esc_attr( $pagination['value'] ); ?>" <?php checked( $options['pagination'], $pagination['value'] ); ?> />
			<span>
				<?php echo $pagination['label']; ?>
			</span>
		</label>
		<?php
	}
}

/**
 * Renders the 'breadcrumb' setting field.
 *
 */
function orbit_settings_field_breadcrumb(){
	$options = orbit_get_theme_options();
	?>
	<label class="breadcrumb">
		<input id="orbit_theme_options[breadcrumb]" type="checkbox" name="orbit_theme_options[breadcrumb]" value="1" <?php checked( $options['breadcrumb'], 1 ); ?> />
	</label>
	<?php
}

/**
 * Renders the 'footer_info' setting field.
 *
 */
function orbit_settings_field_footer_info (){
	$options = orbit_get_theme_options();
	?>
	<label class="footer_info">
		<input id="orbit_theme_options[footer_info]" class="regular-text" type="text" name="orbit_theme_options[footer_info]" value="<?php if (!empty($options['footer_info'])) echo esc_attr($options['footer_info']); ?>" />
	</label>
	<?php
}

/**
 * Renders the 'color_scheme' setting field.
 *
 */
function orbit_settings_field_color_scheme() {
	$options = orbit_get_theme_options();
	foreach ( orbit_color_scheme() as $scheme ) {
		?>
		<label class="field_color_scheme">
			<input type="radio" name="orbit_theme_options[color_scheme]" value="<?php echo esc_attr( $scheme['value'] ); ?>" <?php checked( $options['color_scheme'], $scheme['value'] ); ?> /> <?php echo $scheme['label']; ?>
			<span class="image-radio-option">
				<img src="<?php echo esc_url( $scheme['thumbnail'] ); ?>" width="100" height="100	" alt="" />
			</span>
		</label>
		<?php
	}
}

/**
* Renders the 'favicon' setting field.
*
*/
function orbit_settings_field_favicon() {
	$options = orbit_get_theme_options();
	?>
		<label for="favicon">
			<input id="orbit_theme_options[favicon]" type="text" size="33" name="orbit_theme_options[favicon]" value="<?php if (!empty($options['favicon'])) echo esc_attr($options['favicon']); ?>" />
			<input id="upload_image_button_1" class="upload_image_button" type="button" value="<?php _e( 'Upload Image', 'orbit'); ?>" />
			<br /><?php _e( 'Enter an URL or upload an image (.ico) for favicon.', 'orbit' ); ?>
		</label>
	<?php
}

/**
* Renders the 'show_titile_page' setting field.
*
*/
function orbit_settings_field_show_title_page() {
	$options = orbit_get_theme_options();
	?>
		<label for="favicon">
			<input id="orbit_theme_options[show_title_page]" type="text" size="33" name="orbit_theme_options[show_title_page]" value="<?php if (!empty($options['show_title_page'])) echo esc_attr($options['show_title_page']); ?>" />
			<br /><?php _e( 'Enter slug pages separated by spaces. Ex: home support', 'orbit' ); ?>
		</label>
	<?php
}

/**
 * Renders css user setting field.
 *
 */
function orbit_settings_field_css_user() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<textarea id="orbit_theme_options[css_user]" class="large-text" cols="50" rows="10" name="orbit_theme_options[css_user]"><?php if (!empty($options['css_user'])) echo esc_html($options['css_user']); ?></textarea>
		</label>
	<?php
}

/**
 * Renders the 'show_author' setting field.
 *
 */
function orbit_settings_field_show_author() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<input id="orbit_theme_options[show_author]" type="checkbox" name="orbit_theme_options[show_author]" value="1" <?php checked( $options['show_author'], 1 ); ?> />
	</label>
	<?php
}

/**
 * Renders the 'show_categories' setting field.
 *
 */
function orbit_settings_field_show_categories() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<input id="orbit_theme_options[show_categories]" type="checkbox" name="orbit_theme_options[show_categories]" value="1" <?php checked( $options['show_categories'], 1 ); ?> />
	</label>
	<?php
}

/**
 * Renders the 'show_tags' setting field.
 *
 */
function orbit_settings_field_show_tags() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<input id="orbit_theme_options[show_tags]" type="checkbox" name="orbit_theme_options[show_tags]" value="1" <?php checked( $options['show_tags'], 1 ); ?> />
	</label>
	<?php
}

/**
 * Renders the 'orbit font title' setting field.
 *
 */
function orbit_settings_field_orbit_font_title() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<select id='orbit_theme_options[orbit_font_title]' name='orbit_theme_options[orbit_font_title]'>";
			<optgroup label='Sans-Serif'>
			<?php foreach ( orbit_font_sans() as $font_item ) {
				echo "<option style='font-family:$font_item;' value='$font_item'";
				selected( $options['orbit_font_title'], $font_item );
				echo ">$font_item</option>";
			} ?>
			</optgroup>
			<optgroup label='Serif'>
			<?php foreach ( orbit_font_serif() as $font_item ) {
				echo "<option style='font-family:$font_item;' value='$font_item'";
				selected( $options['orbit_font_title'], $font_item );
				echo ">$font_item</option>";
			} ?>
			</optgroup>
		</select>
	</label>
	<?php
}

/**
 * Renders the 'google_font_title' setting field.
 *
 */
function orbit_settings_field_google_font_title() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<input id="orbit_theme_options[google_font_title]" class="regular-text" type="text" name="orbit_theme_options[google_font_title]" value="<?php if (!empty($options['google_font_title'])) echo esc_attr($options['google_font_title']); ?>" />
	</label>
	<p><?php printf( __( ' Ex: Marko One. Go to %s for some font inspiration.', 'orbit' ), "<a href='http://www.google.com/webfonts' > google fonts</a>" ); ?></p>
	<?php
}


/**
 * Renders the 'orbit font base' setting field.
 *
 */
function orbit_settings_field_orbit_font_base() {
	$options = orbit_get_theme_options();
	?>
	<label class="description">
		<select id='orbit_theme_options[orbit_font_base]' name='orbit_theme_options[orbit_font_base]'>";
			<optgroup label='Sans-Serif'>
			<?php foreach ( orbit_font_sans() as $font_item ) {
				echo "<option style='font-family:$font_item;' value='$font_item'";
				selected( $options['orbit_font_base'], $font_item );
				echo ">$font_item</option>";
			} ?>
			</optgroup>
			<optgroup label='Serif'>
			<?php foreach ( orbit_font_serif() as $font_item ) {
				echo "<option style='font-family:$font_item;' value='$font_item'";
				selected( $options['orbit_font_base'], $font_item );
				echo ">$font_item</option>";
			} ?>
			</optgroup>
		</select>
	</label>
	<?php
}


/**
 * Renders the 'google_font_base' setting field.
 *
 */
function orbit_settings_field_google_font_base() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<input id="orbit_theme_options[google_font_base]" class="regular-text" type="text" name="orbit_theme_options[google_font_base]" value="<?php if (!empty($options['google_font_base'])) echo esc_attr($options['google_font_base']); ?>" />
		</label>
		<p><?php printf( __( ' Ex: Marko One. Go to %s for some font inspiration.', 'orbit' ), "<a href='http://www.google.com/webfonts' > google fonts</a>" ); ?></p>
	<?php
}

/**
* Renders the 'front_page_header' setting field.
*
*/
function orbit_settings_field_front_page_header() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<input id="orbit_theme_options[front_page_header]" class="regular-text" type="text" name="orbit_theme_options[front_page_header]" value="<?php if (!empty($options['front_page_header'])) echo esc_attr($options['front_page_header']); ?>" />
		</label>
	<?php
}



/**
* Renders the 'front_page_subheader' setting field.
*
*/
function orbit_settings_field_front_page_subheader() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<input id="orbit_theme_options[front_page_subheader]" class="regular-text" type="text" name="orbit_theme_options[front_page_subheader]" value="<?php if (!empty($options['front_page_subheader'])) echo esc_attr($options['front_page_subheader']); ?>" />
		</label>
	<?php
}



/**
* Renders the 'front_page_textarea' setting field.
*
*/
function orbit_settings_field_front_page_textarea() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<textarea id="orbit_theme_options[front_page_textarea]" class="large-text" cols="50" rows="10" name="orbit_theme_options[front_page_textarea]"><?php if (!empty($options['front_page_textarea'])) echo esc_html($options['front_page_textarea']); ?></textarea>
		</label>
	<?php
}

/**
* Renders the 'front_page_call_to_action' setting field.
*
*/
function orbit_settings_field_front_page_call_to_action() {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<input id="orbit_theme_options[front_page_call_to_action]" class="regular-text" type="text" name="orbit_theme_options[front_page_call_to_action]" value="<?php if (!empty($options['front_page_call_to_action'])) echo esc_attr($options['front_page_call_to_action']); ?>" />
		</label>
	<?php
}

/**
* Renders the 'url_call_to_action' setting field.
*
*/
function orbit_settings_field_front_page_url_call_to_action () {
	$options = orbit_get_theme_options();
	?>
		<label class="description">
			<input id="orbit_theme_options[url_call_to_action]" class="regular-text" type="text" name="orbit_theme_options[url_call_to_action]" value="<?php if (!empty($options['url_call_to_action'])) echo esc_attr($options['url_call_to_action']); ?>" />
		</label>
	<?php
}

/**
* Renders the slide image 1 setting field.
*
*/
function orbit_settings_field_slide_image_1() {
	$options = orbit_get_theme_options();
	?>
		<label for="slide_image_1">
			<input id="orbit_theme_options[slide_image_1]" type="text" size="33" name="orbit_theme_options[slide_image_1]" value="<?php if (!empty($options['slide_image_1'])) echo esc_attr($options['slide_image_1']); ?>" />
			<input id="upload_image_button_1" class="upload_image_button" type="button" value="<?php _e( 'Upload Image', 'orbit'); ?>" />
			<br /><?php _e( 'Enter an URL or upload an image for the slider.', 'orbit' ); ?>
		</label>
	<?php
}

/**
* Renders the slide image 2 setting field.
*
*/
function orbit_settings_field_slide_image_2() {
	$options = orbit_get_theme_options();
	?>
		<label for="slide_image_2">
			<input id="orbit_theme_options[slide_image_2]" type="text" size="33" name="orbit_theme_options[slide_image_2]" value="<?php if (!empty($options['slide_image_2'])) echo esc_attr($options['slide_image_2']); ?>" />
			<input id="upload_image_button_2" class="upload_image_button" type="button" value="<?php _e( 'Upload Image', 'orbit'); ?>" />
			<br /><?php _e( 'Enter an URL or upload an image for the slider.', 'orbit' ); ?>
		</label>
	<?php
}

/**
* Renders the slide image 3 setting field.
*
*/
function orbit_settings_field_slide_image_3() {
	$options = orbit_get_theme_options();
	?>
		<label for="slide_image_3">
			<input id="orbit_theme_options[slide_image_3]" type="text" size="33" name="orbit_theme_options[slide_image_3]" value="<?php if ( !empty($options['slide_image_3']) ) echo esc_attr($options['slide_image_3']); ?>" />
			<input id="upload_image_button_3" class="upload_image_button" type="button" value="<?php _e( 'Upload Image', 'orbit'); ?>" />
			<br /><?php _e( 'Enter an URL or upload an image for the slider.', 'orbit' ); ?>
		</label>
	<?php
}

/**
* Renders social field.
*
*/
function orbit_settings_field_social( $social ){
	$options = orbit_get_theme_options();
	?>
		<label class="<?php echo $social; ?>">
			<input id="orbit_theme_options[<?php echo $social; ?>]" class="regular-text" type="text" name="orbit_theme_options[<?php echo $social; ?>]" value="<?php if (!empty($options[$social])) echo esc_attr($options[$social]); ?>" />
		</label>
	<?php
}


/**
* Renders box for Orbit suppor
*
*/
function orbit_settings_box_support(){
?>
	<h3 class="hndle"><?php _e( 'Orbit Help', 'orbit' ); ?> </h3>

	<div class="inside">
	<?php _e("
		<ul style='list-style-type: square; margin-left: 14px;'>
			<li>Need any Orbit or WordPress help?</li>
			<li>Want to know what changes are made to the theme with each new version?</li>
			<li>Found a bug or maybe something doesn't work exactly as expected?</li>
			<li>Do you have or would you like to make a translation of the Orbit Theme?</li>
		</ul>
		<p><strong>Then come visit us at &#8250; <a href='http://www.bitado.com/'>Orbit Support Page</a></strong></p>
	", "orbit"); ?>
	</div><!-- inside -->
<?php
}


/**
* Renders social fields.
*
*/
function orbit_settings_field_social_twitter() { orbit_settings_field_social( 'twitter' ); }
function orbit_settings_field_social_facebook() { orbit_settings_field_social( 'facebook' ); }
function orbit_settings_field_social_linkedin() { orbit_settings_field_social( 'linkedin' ); }
function orbit_settings_field_social_youtube() { orbit_settings_field_social( 'youtube' ); }
function orbit_settings_field_social_rss() { orbit_settings_field_social( 'rss' ); }
function orbit_settings_field_social_googleplus() { orbit_settings_field_social( 'googleplus' ); }
function orbit_settings_field_social_vimeo() { orbit_settings_field_social( 'vimeo' ); }

/**
 * Sanitize and validate form input. Accepts an array, return a sanitized array.
 *
 */
function orbit_options_validate( $input ) {
	$output = $defaults = orbit_get_default_theme_options();

	// Our checkboxes value is either 0 or 1
	if ( ! isset( $input['show_author'] ) )
		$input['show_author'] = null;
	$output['show_author'] = ( $input['show_author'] == 1 ? 1 : 0 );
	if ( ! isset( $input['show_categories'] ) )
		$input['show_categories'] = null;
	$output['show_categories'] = ( $input['show_categories'] == 1 ? 1 : 0 );
	if ( ! isset( $input['show_tags'] ) )
		$input['show_tags'] = null;
	$output['show_tags'] = ( $input['show_tags'] == 1 ? 1 : 0 );
	if ( ! isset( $input['breadcrumb'] ) )
		$input['breadcrumb'] = null;
	$output['breadcrumb'] = ( $input['breadcrumb'] == 1 ? 1 : 0 );

	// Theme layout must be in our array of theme layout options
	if ( isset( $input['theme_layout'] ) && array_key_exists( $input['theme_layout'], orbit_layouts() ) )
		$output['theme_layout'] = $input['theme_layout'];

	// Pagination must be in our array of pagination options
	if ( isset( $input['pagination'] ) && array_key_exists( $input['pagination'], orbit_pagination() ) )
		$output['pagination'] = $input['pagination'];

	// Color Schemes layout must be in our array of Color Schemes options
	if ( isset( $input['color_scheme'] ) && array_key_exists( $input['color_scheme'], orbit_color_scheme() ) )
		$output['color_scheme'] = $input['color_scheme'];

	// check text for input footer info
	if ( isset( $input['footer_info'] ) )
		$output['footer_info'] = wp_kses_stripslashes( $input['footer_info'] );

	// check text for css user
	if ( isset( $input['css_user'] ) )
		$output['css_user'] = wp_kses_stripslashes( $input['css_user'] );

	// Font title must be in our array of theme font options
	if ( isset( $input['orbit_font_title'] ) && in_array( $input['orbit_font_title'], orbit_font_all() ) )
		$output['orbit_font_title'] = $input['orbit_font_title'];

	// check text for input font google title
	if ( isset( $input['google_font_title'] ) )
		$output['google_font_title'] = wp_kses_stripslashes( $input['google_font_title'] );

	// Font base must be in our array of theme font options
	if ( isset( $input['orbit_font_base'] ) && in_array( $input['orbit_font_base'], orbit_font_all() ) )
		$output['orbit_font_base'] = $input['orbit_font_base'];

	// check text for input font google base
	if ( isset( $input['google_font_base'] ) )
		$output['google_font_base'] = wp_kses_stripslashes( $input['google_font_base'] );

	// check text for input text for pages without title
	if ( isset( $input['show_title_page'] ) )
		$output['show_title_page'] = wp_kses_stripslashes( $input['show_title_page'] );

	// check text for input text in front page
	if ( isset( $input['front_page_header'] ) )
		$output['front_page_header'] = wp_kses_stripslashes( $input['front_page_header'] );
	if ( isset( $input['front_page_subheader'] ) )
		$output['front_page_subheader'] = wp_kses_stripslashes( $input['front_page_subheader'] );
	if ( isset( $input['front_page_textarea'] ) )
		$output['front_page_textarea'] = wp_kses_stripslashes( $input['front_page_textarea'] );
	if ( isset( $input['front_page_call_to_action'] ) )
		$output['front_page_call_to_action'] = wp_kses_stripslashes( $input['front_page_call_to_action'] );
	if ( isset( $input['url_call_to_action'] ) )
		$output['url_call_to_action'] = wp_kses_data( $input['url_call_to_action'] );


	// check text for input images slide and favicon
	if ( isset( $input['slide_image_1'] ) )
		$output['slide_image_1'] = wp_kses_data( $input['slide_image_1'] );
	if ( isset( $input['slide_image_2'] ) )
		$output['slide_image_2'] = wp_kses_data( $input['slide_image_2'] );
	if ( isset( $input['slide_image_3'] ) )
		$output['slide_image_3'] = wp_kses_data( $input['slide_image_3'] );
	if ( isset( $input['favicon'] ) )
		$output['favicon'] = wp_kses_data( $input['favicon'] );

	// check text for input social
	if ( isset( $input['twitter'] ) )
		$output['twitter'] = wp_kses_data( $input['twitter'] );
	if ( isset( $input['facebook'] ) )
		$output['facebook'] = wp_kses_data( $input['facebook'] );
	if ( isset( $input['linkedin'] ) )
		$output['linkedin'] = wp_kses_data( $input['linkedin'] );
	if ( isset( $input['youtube'] ) )
		$output['youtube'] = wp_kses_data( $input['youtube'] );
	if ( isset( $input['rss'] ) )
		$output['rss'] = wp_kses_data( $input['rss'] );
	if ( isset( $input['googleplus'] ) )
		$output['googleplus'] = wp_kses_data( $input['googleplus'] );
	if ( isset( $input['vimeo'] ) )
		$output['vimeo'] = wp_kses_data( $input['vimeo'] );


	$resetDefault = ( ! empty( $input['orbit_defaults']) ? true : false );

	if ($resetDefault)
		$output=$defaults;

	return $output;
}